#!/bin/bash

if [[ ! -d default ]] || [[ ! -f cfDNS  ]]
then
	echo "$0 must be run from the top level source directory!"
	exit
else
	echo "Installing cfDNS to /opt/cfDNS"
	mkdir /opt/cfDNS 
	mkdir /opt/cfDNS/bin 

	cp cfDNS /opt/cfDNS/bin/cfDNS || exit
	chmod 700 /opt/cfDNS/bin/cfDNS || exit
	#cp default/cfDNS /etc/default/cfDNS || exit
  #
	cp -i default/cfDNS /etc/default/cfDNS || exit
	chmod 400 /etc/default/cfDNS

  ln -sf /opt/cfDNS/bin/cfDNS /usr/bin/cfDNS

  cat <<EOF

  If cfDNS is run by a normal user they need to store their 
  cloudflare email and apiKey first by running 

  $ cfDNS config <email> <apiKey> 

  This will save their credentials in their standard keyring.

  If cfDNS is called from a daemon the credentials will be read 
  from /etc/default/cfDNS. This file needs to be manually configured 
  first. It should be mode 600 to protect the apiKey

EOF
fi
